Gets the host name

- « gethostbynamel

- getmxrr »

- PHP Manual
- Network Functions
- Gets the host name

# gethostname

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

gethostname — Gets the host name

### Description

gethostname(): string|false

gethostname() gets the standard host name for the local machine.

### Parameters

This function has no parameters.

### Return Values

Returns a string with the hostname on success, otherwise `false` is returned.

### Examples

Example #1 A simple gethostname() example

    <?phpecho gethostname(); // may output e.g,: sandie?>

### See Also

- gethostbyname() - Get the IPv4 address corresponding to a given Internet host name
- gethostbyaddr() - Get the Internet host name corresponding to a given IP address
- php_uname() - Returns information about the operating system PHP is running on